<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body onload="Factorial()">
    <h1>Javascript M7</h1>
    <a href="https://www.youtube.com/watch?v=mCdA4bJAGGk">Mira mi colecion de NFT</a>
    <script>
        
        //Ejercicio 1
        function Ejercicio1() {
            alert("Hello World");
            var nombre = prompt("Dime tu nombre");
            alert("Hola " + nombre);
            console.log("Hola " + nombre);
        }
        
        //TEORIA
        var a = 100;
        a = ((a + 10 - 15 ) * 10 / 2 ) % 1;
        console.log(a);
        var cad1 = "Hola";
        var cad2 = "¿qué tal?";
        var cad = cad1 + cad2;
        console.log(cad);
        cad = cad + a;
        console.log(cad);
        //EJERCICIO 2
        function Ejercicio2() {
            var edat = prompt("Dime tu edad: ");
            if (edat >= 18){
                console.log(nombre + ", Eres legal");             
                alert(nombre + ", Eres legal"); 
            }
            else if (edat < 18 ){
                console.log(nombre + ", Eres menor");
                alert(nombre + ", Eres menor");
            }
        }
        

        //ADIVINAR NUMERO
        function AdivinarNumero (){
            var numeroUsuario = prompt("Escribe un numerito");
            var numeroAdivinar = Math.floor(Math.random() * 101);
            var encontrado = false;
            //alert(numeroAdivinar);
            do{
                if (numeroUsuario == null){
                    alert("Abortamos mision, inutil");
                    break;
                }
                if (numeroUsuario < numeroAdivinar){
                    alert("El numero es más grande");
                    numeroUsuario = prompt("Escribe otro numerito");
                }
                if (numeroUsuario > numeroAdivinar){
                    alert("El numero es más pequeño");
                    numeroUsuario = prompt("Escribe otro numerito");
                }
                if (numeroUsuario == numeroAdivinar){
                    alert("Lo has encontrado, no eres tan tonto al final !!!");
                    encontrado = true;
                }
                if (isNaN(numeroUsuario)){
                    alert("Tienes que poner un numero, pedazo de inutil");
                    numeroUsuario = prompt("Escribe otro numerito");
                }
                
            }while(encontrado == false);
        }
        function Factorial(){
            var numero = prompt("Escribe un numero");
            var total = 1;
            console.log(typeof(numero));
            //for (var i = num; i> 1; i--){
            for (var i = 1; i<= numero; i++){
                total*=i;
            }
            alert("El resultado de "+ numero +" es: " + total);
        }   
        Factorial();  
        
        
    </script>
</body>
</html>
